.upgrade-image-items img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    max-width: 100%;
}

.upgrade-items-main-soon {
    display: flex;
    gap: 30px;
}

.upgrade-items-logo-image img {
    display: block;
    max-width: 102px;
    height: auto;
    object-fit: cover;
    width: 100%;
    margin: 0 auto;
}

h2.upgrade-system-title {
    font-family: ANTA Sharp Grotesk Bold, ANTA Sharp Grotesk Bold;
    font-weight: normal;
    font-size: 40px;
    line-height: 1;
    text-transform: capitalize;
    margin: 26px 0;
    text-align: center;
}

p.upgrade-system-content {
    margin: 0;
    font-size: 20px;
    color: #020202;
    text-align: center;
}

.upgrade-image-items {
    flex: 0 0 49%;
    max-width: calc(49% - 30px);
    position: relative;
    z-index: 1;
}

.upgrade-progress-content {
    flex: 0 0 505px;
    max-width: 505px;
    margin: 0 auto;
    align-items: center;
    display: flex;
    position: relative;
}

.upgrade-image-items .desktop-only {
    display: block;
}

.upgrade-image-items .mobile-only {
    display: none;
}

.main-upgraded-section {
    height: 100vh;
}

.upgrade-items-main-soon {
    height: 100%;
    overflow: hidden;
}

.backward-text-coming {
    position: absolute;
    top: auto;
    right: -50%;
    z-index: 0;
    bottom: 0;
    transform: translateX(12%);
}

.upgrade-image-items {
    height: 100%;
}

.upward-text-coming {
    position: absolute;
    top: 0;
    left: -50%;
    transform: translateX(-31%);
    z-index: 0;
}

.upgrade-progress-content img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
}

@media(max-width: 1024px) {
    .upgrade-progress-content {
        flex: 0 0 50%;
        max-width: 50%;
        padding: 0 10px;
    }

    p.upgrade-system-content {
        font-size: 17px;
    }

    h2.upgrade-system-title {
        font-size: 32px;
        margin: 22px 0;
    }

    .upgrade-items-logo-image img {
        max-width: 82px;
    }


}

@media(max-width: 768px) {
    .upgrade-progress-content {
        display: block;
    }

    .upgrade-image-items .desktop-only {
        display: none;
    }

    .upgrade-image-items .mobile-only {
        display: block;
    }

    .upgrade-items-main-soon {
        flex-wrap: wrap;
        align-items: unset;
        height: 100%;
    }

    .upgrade-image-items {
        height: auto;
    }

    .upgrade-image-items img {
        height: auto;
    }

    .main-upgraded-section {
        height: 100vh;
    }

    .upgrade-image-items,
    .upgrade-progress-content {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .backward-text-coming {
        right: -16%;
    }

    .upward-text-coming {
        left: -7%;
        top: -41%;
    }

    .upward-text-coming img,
    .backward-text-coming img {
        max-width: 436px;
    }
}

@media(max-width: 690px) {
    .upgrade-items-logo-image img {
        max-width: 68px;
    }

    .upward-text-coming {
        top: -51%;
    }

    h2.upgrade-system-title {
        font-size: 28px;
        margin: 20px 0;
    }

    p.upgrade-system-content {
        font-size: 14px;
    }
}